-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: uritools
action: commit
revision:
path_from:
revision_from: 34181aafcfbfeb434d5ff0ebe4bf1d368ac4936c:
path_to:
revision_to:

git.thebackupbox.net

uritools

git://git.thebackupbox.net/uritools

commit 34181aafcfbfeb434d5ff0ebe4bf1d368ac4936c
Author: epoch <epoch@enzo.thebackupbox.net>
Date:   Mon Oct 25 07:47:59 2021 +0000

    added a program to act as a generic "search" key-combo handler. just launches a search URI at the end.

diff --git a/search b/search

index 1c2e67c9f27da90394f64def1fce97385531354d..

index ..7c8c77aeee6d3da0f64d23dd63262d47711e44bf 100755

--- a/search
+++ b/search
@@ -1,2 +1,6 @@
 #!/bin/sh
-uristart "search:?q=$(echo | dmenu -p 'search>' | tr '\n' '\0' | xargs -0 uriescape | sed 's/&/%26/g;s/#/%23/g')"
+q="$(printf "%s\n%s\n" "$(xclip -o | head -n1)" "$(xclip -o -selection clipboard | head -n1)" | choose 'search>' | tr '\n' '\0' | xargs -0 uriescape | sed 's/&/%26/g;s/#/%23/g')"
+if [ ! "$q" ];then
+  exit 1
+fi
+exec uristart "search:?q=$q"

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 19:08:06 2024